Bug 1026166 - base.py:161:_thread_input:EOFError: EOF when reading a line
base.py:161:_thread_input:EOFError: EOF when reading a line
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:63e62e1fd74e6b93f6e2b223720...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 00:48 EST by Chris Murphy
Modified: 2014-03-17 17:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 17:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (441 bytes, text/plain)
2013-11-04 00:48 EST, Chris Murphy
no flags Details
File: os_info (291 bytes, text/plain)
2013-11-04 00:48 EST, Chris Murphy
no flags Details
storage.log (3 bytes, text/plain)
2013-11-04 00:54 EST, Chris Murphy
no flags Details
program.log (2.57 KB, text/plain)
2013-11-04 00:54 EST, Chris Murphy
no flags Details
abrt_backtrack (936 bytes, text/plain)
2013-11-04 00:55 EST, Chris Murphy
no flags Details
journalctl -o short-monotonic -ab (97.38 KB, text/plain)
2013-11-04 01:20 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-11-04 00:48:05 EST
Description of problem:
0. F20 Live Dekstop Beta RC2 booting in qemu/kvm on Fedora20 updated.
1. 2 qcow2 disks, one previously used to do a successful Guided path install, partition scheme Btrfs to test btrfs as roofs for matrix, the other is empty.
2. Crash on installer launch.

Version-Release number of selected component:
anaconda-20.25.5-1.fc20

Additional info:
cmdline:        /usr/bin/python /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --lang en_US.UTF-8
dso_list:       python-libs-2.7.5-8.fc20.x86_64
executable:     /sbin/anaconda
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0
Comment 1 Chris Murphy 2013-11-04 00:48:09 EST
Created attachment 818905 [details]
File: environ
Comment 2 Chris Murphy 2013-11-04 00:48:12 EST
Created attachment 818906 [details]
File: os_info
Comment 3 Chris Murphy 2013-11-04 00:54:29 EST
Created attachment 818908 [details]
storage.log
Comment 4 Chris Murphy 2013-11-04 00:54:41 EST
Created attachment 818909 [details]
program.log
Comment 5 Chris Murphy 2013-11-04 00:55:00 EST
Created attachment 818910 [details]
abrt_backtrack

No anaconda-tb file.
Comment 6 Chris Murphy 2013-11-04 01:20:19 EST
Created attachment 818925 [details]
journalctl -o short-monotonic -ab

Weird, it seems everytime I have systemd debug options enabled as boot parameter and monitor via virsh console, I hit this crash.

systemd.log_level=debug systemd.log_target=console console=ttyS0,38400
Comment 7 David Shea 2014-02-28 17:51:45 EST
I'm guessing your console program is sending a break or an EOF? Can hit something similar by hitting ^D in a regular text install.

Note You need to log in before you can comment on or make changes to this bug.